// NoPro - webwork 2007-2016

/**
 * sort a select 
 * depends on jquery
 *
 * consistant usage of ; is mandatory for passing this script through liblock
 * no usage of default params in function-declarations for compatibility with ALL browsers (opera)
 */

// 2016-05-03 v1

function sel_sort(sel, dir, wha) {
    // default param-settings
    if(dir == undefined) dir=1;
    if(wha == undefined) wha='text';
    // validate sort-options
    dir = parseInt(dir);
    if([1,-1].indexOf(dir) < 0) dir=1;
    if(['text', 'value'].indexOf(wha) < 0) wha='text';
    var opts = $('option', sel);
    opts.sort(function(a,b) {
	if(a[wha] < b[wha]) return -dir;
	if(a[wha] > b[wha]) return dir;
	return 0;
    });
    sel.empty();
    opts.each(function(k,v) { sel.append($('<option>', {value: v.value, text: v.text})); });
}
