<?php
# template for extending ml_parser

require_once('ml_parser.php');


class xml_snippet extends ml_snippet {

  public function __construct(&$doc, $p1, $tag=false, $type=0) {
    parent::__construct($doc, $p1, $tag, $type);
  }

} // EOclass xml_snippet


class xml_parser extends ml_parser {

  protected function add_snippet($p1, $tag, $type=0) {
    $snip = new xml_snippet($this->doc, $p1, $tag, $type);
    $this->snips[] = $snip;
    return $snip;
  }

  public function __construct(&$doc, $file=false, $init=true) {
    parent::__construct(substr($doc, $p1), $file, $init);
  }

} // EOclass xml_parser
